members:
  - id: awesomeco
    xng-index: 0
    banks:
      - name: "MCB"
        routing-number: "121141343"
        claims-account: "1000000"
        adapter:
          mcb:
            url: http://localhost:8888/metropolitan
            secret-user-name: metropolitan-username
            secret-password: metropolitan-password
            secret-client-app-ident: metropolitan-client-app-ident
            secret-organization-id: metropolitan-organization-id
      - name: "Provident"
        routing-number: "211374020"
        claims-account: "1000000"
        adapter:
          treasury-prime:
            url: http://localhost:8888/provident
            secret-api-key-id: provident-username
            secret-api-key-value: provident-password

  - id: coolinc
    xng-index: 1
    banks:
      - name: "MCB"
        routing-number: "121141343"
        claims-account: "1000000"
        adapter:
          mcb:
            url: http://localhost:8888/metropolitan
            secret-user-name: metropolitan-username
            secret-password: metropolitan-password
            secret-client-app-ident: metropolitan-client-app-ident
            secret-organization-id: metropolitan-organization-id
      - name: "Provident"
        routing-number: "211374020"
        claims-account: "1000000"
        adapter:
          treasury-prime:
            url: http://localhost:8888/provident
            secret-api-key-id: provident-username
            secret-api-key-value: provident-password
logging:
  url: false
  request: false
  response: false
  error:
    enabled: true
    exclude:
      - url: /api/v1/transactions/0x
        verb: GET
        status:
          - 404
polling:
  retries: 120
  delay: 1000
